&emsp;&emsp;CG评测结果给出每个测试数据的通过情况，题目得分=（题目分数 / 测试数据对数） * 通过数。CG教学平台的作业和考试不限制提交次数。

- 完全正确。用户程序的输出与期望输出匹配。
- 输出错误。用户程序的输出与期望输出不一致。如果是作业，点击“详细评判结果”，在动态测试中，会列出错误输出和期望输出，方便学生调试自己的程序。
- 格式错误。用户程序的输出结果中的不可见字符（例如空格、制表符等）与期望输出不一致，布置作业或者出试卷时，可以设置格式错误是否给分，如图1所示。
![图1布置作业-设置格式错误分值](https://images.gitee.com/uploads/images/2020/0204/100908_27b55e6d_5656914.jpeg "1.jpg")
- 程序运行时间过长。程序运行的时间已经超出了这个题目的时间限制，一般是存在死循环。
运行时错误。程序运行期间崩溃，如果C/C++程序，常见的错误类型有：
  - SIGFPE：零作为除数。
  - SIGSEGV：非法内存访问，是最为常见的错误，一般这些问题在小规模测试的时候不会发现，而在大规模数据测试时候就容易暴露出来，所以请自行构造一些数据来调试程序。可能原因 (1)数组越界使用; (2)指针的错误使用, 一般是对非用户区的地址空间进行读或者写操作; (3)越权操作文件指针, 程序中却未捕捉该类错误; (4)栈溢出, 一般是因为过多的递归调用或者过大的临时变量导致; (5)程序使用的内存超过了题目设定的上限。
  - SIGXFSZ：程序输出过多数据，有可能存在死循环。
  - SIGABRT：程序中止运行，原因可能是 (1)由于严重的错误(例如内存重复释放double free或者heap corruption)，库函数调用abort中 止程序运行; (2)断言(assert)使用abort实现，断言条件为false。
- 系统繁忙。提示服务器忙是系统忙于评判提交的程序，后台是个大进程池并行评判的，偶尔遭遇大量并发提交，而且同时出现了很多死循环的程序。系统做了并发控制，避免把Web服务器击垮，返回系统繁忙的提示，如果偶尔出现类似的评判结果，不用担心，再次提交即可。