&emsp;&emsp;CG系统支持两类在线实验环境：虚拟桌面实验环境和Jupyter实验环境。
- 虚拟桌面实验环境用的远程桌面来实现的，即将操作系统桌面通过VNC协议呈现在浏览器内。常规做法是一人一台虚拟机，一人一台虚拟机的优点是隔离性好，技术实现简单，而且OpenStack等开源软件都已经直接集成了远程桌面，大家见到的类似实验环境都是这么实现的。但缺点是资源耗费巨大，可以简单测算，现在的64位桌面版操作系统要求至少4GB内存与2个物理核，如果再安装开发环境，至少6GB内存，如果遇到大数据环境，那么至少8GB内存和4个物理核。推算一下，如果一门课有100人，至少需要800GB内存400个CPU核心。现在比较的高档服务器一般30个物理核128GB内存，也就是一门大数据课程需要至少13台高档服务器。这样的资源消耗对于教学是不可接受的。
- CG的虚拟桌面实验环境通过多用户共享和集群计算资源的分时动态调度技术，来解决资源耗费问题。不是每个用户独占虚拟机，而是多个用户共享一台虚拟机，虚拟机内只部署开发环境，每人的内存资源消耗可以降至1GB，100人的课程，1台服务器就绰绰有余！对于大数据，特别是人工智能这类需要耗费巨大计算资源的课程实验，只需要部署一台或者几台服务器作为计算集群，学生在实验桌面开发的实验代码通过CG的调度系统发送到集群上执行即可，这也是目前工业界的工作模式。
- CG的Jupyter实验环境，是基于Docker实现的，相比操作系统桌面，Jupyter只是个Web服务，资源消耗很小，一般一台服务器可以支撑300人同时在线做Jupyter实验。
